openSUSE Security Update: Security update for cups
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2020:0555-1
Rating:             important
References:         #1168422 
Cross-References:   CVE-2020-3898
Affected Products:
                    openSUSE Leap 15.1
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for cups fixes the following issues:

   - CVE-2020-3898: Fixed a heap buffer overflow in ppdFindOption()
     (bsc#1168422).

   This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.1:

      zypper in -t patch openSUSE-2020-555=1



Package List:

   - openSUSE Leap 15.1 (i586 x86_64):

      cups-2.2.7-lp151.6.6.1
      cups-client-2.2.7-lp151.6.6.1
      cups-client-debuginfo-2.2.7-lp151.6.6.1
      cups-config-2.2.7-lp151.6.6.1
      cups-ddk-2.2.7-lp151.6.6.1
      cups-ddk-debuginfo-2.2.7-lp151.6.6.1
      cups-debuginfo-2.2.7-lp151.6.6.1
      cups-debugsource-2.2.7-lp151.6.6.1
      cups-devel-2.2.7-lp151.6.6.1
      libcups2-2.2.7-lp151.6.6.1
      libcups2-debuginfo-2.2.7-lp151.6.6.1
      libcupscgi1-2.2.7-lp151.6.6.1
      libcupscgi1-debuginfo-2.2.7-lp151.6.6.1
      libcupsimage2-2.2.7-lp151.6.6.1
      libcupsimage2-debuginfo-2.2.7-lp151.6.6.1
      libcupsmime1-2.2.7-lp151.6.6.1
      libcupsmime1-debuginfo-2.2.7-lp151.6.6.1
      libcupsppdc1-2.2.7-lp151.6.6.1
      libcupsppdc1-debuginfo-2.2.7-lp151.6.6.1

   - openSUSE Leap 15.1 (x86_64):

      cups-devel-32bit-2.2.7-lp151.6.6.1
      libcups2-32bit-2.2.7-lp151.6.6.1
      libcups2-32bit-debuginfo-2.2.7-lp151.6.6.1
      libcupscgi1-32bit-2.2.7-lp151.6.6.1
      libcupscgi1-32bit-debuginfo-2.2.7-lp151.6.6.1
      libcupsimage2-32bit-2.2.7-lp151.6.6.1
      libcupsimage2-32bit-debuginfo-2.2.7-lp151.6.6.1
      libcupsmime1-32bit-2.2.7-lp151.6.6.1
      libcupsmime1-32bit-debuginfo-2.2.7-lp151.6.6.1
      libcupsppdc1-32bit-2.2.7-lp151.6.6.1
      libcupsppdc1-32bit-debuginfo-2.2.7-lp151.6.6.1


References:

   https://www.suse.com/security/cve/CVE-2020-3898.html
   https://bugzilla.suse.com/1168422

--